This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473800 - upgrade f9->f10 with Promise pdc2027x hang
upgrade f9->f10 with Promise pdc2027x hang
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
10
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
: Triaged
: 473801 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 13:06 EST by Levente Farkas
Modified: 2009-12-18 02:03 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:03:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2008-11-30 13:06:26 EST
hi,
i try to upgrade from f9->f10 the graphical installer simple hang (which is
imho a bug). when i start it in text mode i've got an error that it can't find
/dev/mapper/pdc_fbdiccjg and neither retry nor cancel help. so currently on
that machine it's not possible to upgrade.
while in the console the error:
-------------------------------------------
ERROR: Activating raid pdc_fbdiccjg failed:
       table: 0 0 linear /dev/mapper/pdc_fbdiccjg
       exception: size must be positive
CRITICAL: parted exception: Error:
       Could not start device /dev/mapper/pdc_fbdiccjg no such file or
directory
-------------------------------------------
the machine is an asus p4b533-e motherboard with promise pdc20276 fake raid
controller which is disabled in the bios and there is no disk on it, but the
kernel still find it. it has 2 pata disk with 2 partition which yield:
- md0 /boot
- md1 lvm vg (inside lv swap and /)
but as anaconda can't find the installed system i'm not able to upgrade
(preupgrade failed with the same problem).

a few more info about the system:
-------------------------------------------
# cat /proc/partitions 
major minor  #blocks  name

   8     0   78184008 sda
   8     1     104391 sda1
   8     2   78075900 sda2
   8    16   78184008 sdb
   8    17     104391 sdb1
   8    18   78075900 sdb2
   9     1   78075776 md1
 253     0   15335424 dm-0
 253     1    2097152 dm-1
 253     2   60620800 dm-2
   9     0     104320 md0
 253     3   60619772 dm-3
# cat /proc/mdstat 
Personalities : [raid1] [raid6] [raid5] [raid4] 
md0 : active raid1 sda1[0] sdb1[1]
      104320 blocks [2/2] [UU]

md1 : active raid1 sda2[0] sdb2[1]
      78075776 blocks [2/2] [UU]

unused devices: <none>
# cat /etc/fstab 
/dev/System/root        /                       ext3    defaults        1 1
/dev/md0                /boot                   ext3    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
/dev/System/swap        swap                    swap    defaults        0 0
# cat /etc/grub.conf 
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/System/root
#          initrd /initrd-version.img
#boot=/dev/md0
default=1
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Upgrade to Fedora 10 (Cambridge)
 kernel /upgrade/vmlinuz preupgrade
repo=hd:UUID=a310d15b-4a9b-44a0-a50c-6f025004e0b5:/var/cache/yum/preupgrade
stage2=http://sunsite.informatik.rwth-aachen.de/ftp/pub/Linux/fedora/linux/releases/10/Fedora/i386/os/images/install.img
ks=hd:UUID=a28359f7-e1e3-8e6c-7cea-f2167df41199:/upgrade/ks.cfg
 initrd /upgrade/initrd.img
title Fedora (2.6.27.5-41.fc9.i686)
 root (hd0,0)
 kernel /vmlinuz-2.6.27.5-41.fc9.i686 ro root=/dev/System/root
 initrd /initrd-2.6.27.5-41.fc9.i686.img
title Memtest86+ (2.01)
 root (hd0,0)
 kernel /memtest86+-2.01 ro root=/dev/System/root
Comment 1 Thomas Pemberton 2008-12-11 10:16:01 EST
*** Bug 473801 has been marked as a duplicate of this bug. ***
Comment 2 R Dhushyanth 2009-02-28 22:10:25 EST
Please take a look at https://bugzilla.redhat.com/show_bug.cgi?id=409931

If the temporary fixes stated there work for you then well and good. In any case we need more debugging information

So try this.  Start the install with nodmraid, and as soon as you get to
stage 2 (i.e. when the graphics system has just started up), do the following:

1) hit ctrl+alt+f2 .  You should get to a shell.
2) cd /tmp
3) mkdir raiddata
4) cd raiddata
5) dmraid -D -r
6) cd ..
7) tar cjf raiddata.tar.bz2 raiddata

And then attach that tarball to this bug (you may need to bring up the network,
etc.)
 
Note: if this bug seems to be similar to the bug stated above, then please mention clearly so that it can be marked as a duplicate
Comment 3 Levente Farkas 2009-03-03 16:29:23 EST
i already update my laptop with nodmraid so i can't test it anymore even though it's a very big bug (imho).
Comment 4 Bug Zapper 2009-11-18 02:44:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:03:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.